# -*- encoding : utf-8 -*-

class Admin::LabelMarquesController < ApplicationController
  layout "admin"
  before_filter :auth_admin

  def index
    @label_marques = LabelMarque.all

   
  end

  def show
    @label_marque = LabelMarque.find(params[:id])
    per_page = (params[:per_page] and params[:per_page] != "") ? params[:per_page] : 50
    page = (params[:page] and params[:page] != "") ? params[:page] : 1 
        
        
    
    
    @label_produits = @label_marque.label_produits.page(page).per(per_page)
  end

  def new
    
    
		@label_marque = LabelMarque.new(:label_entreprise_id => params[:label_entreprise_id])
    

  end

 

  def edit
  
    
    @label_marque = LabelMarque.find(params[:id])
  end

  def create
    @label_marque = LabelMarque.new(params.require(:label_marque).permit!)


    if @label_marque.save
     redirect_to admin_label_entreprise_path(@label_marque.label_entreprise), notice: 'La marque a été crée.' 
      
    else
      render action: "new"
 
    end

  end


  def update
    @label_marque = LabelMarque.find(params[:id])


    if @label_marque.update_attributes(params.require(:label_marque).permit!)
      redirect_to admin_label_entreprise_path(@label_marque.label_entreprise), notice: 'Les infos sur la marque ont été mise à jour.' 
     
    else
     render action: "edit" 
      
    end
      
  end


  def destroy
    @label_marque = LabelMarque.find(params[:id])
    @label_marque.destroy
    
    redirect_to admin_label_marques_url

  end
end
